window.renderActions = function(item, info)
{
    if(item.url)
    {
        if(typeof item.url == 'string') item.url = zui.formatString(item.url, info.row.data);
        else item.url.params = zui.formatString(item.url.params, info.row.data);
    }

    if(info.row.data.hasDeploy && item.icon == 'trash')
    {
        item.hint = templateLang.notice.hasDeploy;
    }

    if(!info.row.data.activeSpug && info.row.data.system == 'spug')
    {
        item.hint = templateLang.notice.noSpug;
    }

    return item;
}
